<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classmagnetometer_1_1_fluxgate_magnetometer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">magnetometer.FluxgateMagnetometer Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#abf0e1c0d1071ca811f4bb7c2cc030ccc">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, int mode, outputs, int resolution, float sensor_range, float analog_range, float noise_density, float bandwidth, float sampling_rate, tuple temp_drift, float max_zero_error=0., float max_scaling_error=0., float max_orthogonality_error=0., bool use_max_errors=False, bool active=True, bool digital=False, int dimension=3)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a9121e7308115a21deb8c25e7b6356619">analog_range</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7d3dd58b2fa5135811d76e23cd34a266">bandwidth</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a247fe850f7cf58fdb17447f7ec1066f4">column_names</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ab33aa34f933b944b983003dac3764cff">dimension</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a876d50ce9ac6d4a135f8d127363954d9">get_noise</a>(self)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acbc98b0c4725023565361d9fd9d98731">noise_density</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ae255fdbe6c3eb9ffc24b1fe534ba29b4">orthogonality_error</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a255ab448a84261a667617eca8a873ca8">output</a>(self, float sim_time, float temperature=293.15)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a87532cb1f705bff0001fc7f05f612e0a">resolution</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7c9bf2e3992303108f064fecd7f847e9">run</a>(self)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a42ec34a475a759ac4e9d428ebd297b8f">sampling_rate</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a102688db0c58b138fd27e49882dcb712">scaling_error</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8816649f3f484a772b94c8c3bd76d0d4">sensor_range</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acccff361e22670ce6ff86d8bbedb7f7c">set_error</a>(self, float max_error, int dimension)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a97deccca6a3b7898fb3bb9af5d26ae2a">set_error_matrix</a>(self, float max_error, int dimension=3)</td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7e22bd7b42fdf27f216dd9c746c6d371">temp_drift</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#aa360590d28bd84aec1ea3b7190449232">use_max_errors</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8730c087a028ef2eb0a69d5ca0bd4ee2">zero_error</a></td><td class="entry"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">magnetometer.FluxgateMagnetometer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
